Skip to main content

Update a webhook

Updates the specified webhook by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Parameters​

url
string
The URL of the webhook endpoint.
events_types
array
A list of event types that trigger the webhook. Each event type corresponds to a specific action or update in the system.
enabled
boolean
Whether the webhook events sending is enabled or disabled.

Returns​

Returns the webhook object if the update succeeded. Throws an error if update parameters are invalid.

put
/api/webhooks/{id}
curl -X PUT https://{workspace}.documocu.com/api/webhooks/{id} \
-H 'Accept: application/json' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"id": "wh_4c49373b8698d4ceac793e0f",
"url": "http://www.goodwin.com/unde-aut-iusto-quidem-amet-nihil",
"events_types": [
"document.created",
"document.updated"
],
"attempts_count": 0,
"failed_attempts_count": 0,
"enabled": true,
"secret": "secret",
"created_at": "2024-06-22T23:08:44+00:00",
"updated_at": "2024-06-22T23:08:44+00:00"
}